/*	Public domain	*/

#ifndef _FREESG_RG_ANIMVIEW_H_
#define _FREESG_RG_ANIMVIEW_H_

#include <agar/gui/widget.h>
#include <agar/gui/button.h>
#include <agar/gui/menu.h>
#include <agar/gui/window.h>
#include <agar/gui/iconmgr.h>

#include <freesg/rg/tileset.h>
#include <freesg/rg/begin.h>

typedef struct rg_anim_view {
	struct ag_widget wid;
	RG_Anim *anim;
	float speed;				/* Delay multiplier */
	Uint frame;				/* Current frame */
	Uint pre_w, pre_h;			/* SizeHint geometry */
	AG_Rect ranim;				/* Preview rectangle */
	struct {
		AG_Button *play;
		AG_Button *pause;
		AG_Button *stop;
	} btns;
	AG_Timer timer;			/* Timer for playback */
	AG_PopupMenu *pm;
} RG_Animview;

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC AG_WidgetClass rgAnimviewClass;
extern DECLSPEC RG_Animview *RG_AnimviewNew(void *);
extern DECLSPEC void RG_AnimviewSizeHint(RG_Animview *, int, int);
extern DECLSPEC void RG_AnimviewSetAnimation(RG_Animview *, RG_Anim *);
__END_DECLS
/* Close generated block */

#include <freesg/rg/close.h>
#endif /* _FREESG_RG_ANIMVIEW_H */
