/*	Public domain	*/

typedef struct sk_arc {
	struct sk_node node;
	SK_Point *p;			/* Center point of circle */
	SK_Point *e1, *e2;		/* Endpoints (constrained) */
	M_Real   r;			/* Radius of circle */
	M_Color  color;			/* Display color */
} SK_Arc;

#define SKARC(n) ((SK_Arc *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SK_NodeOps skArcOps;
extern DECLSPEC SK_Arc *SK_ArcNew(void *);
extern DECLSPEC void SK_ArcInit(void *, Uint);
extern DECLSPEC int SK_ArcLoad(SK *, void *, AG_DataSource *);
extern DECLSPEC int SK_ArcSave(SK *, void *, AG_DataSource *);
extern DECLSPEC void SK_ArcDraw(void *, struct sk_view *);
extern DECLSPEC void SK_ArcEdit(void *, struct ag_widget *, struct sk_view *);
extern DECLSPEC M_Real SK_ArcProximity(void *, const M_Vector3 *, M_Vector3 *);
extern DECLSPEC void SK_ArcWidth(SK_Arc *, M_Real);
extern DECLSPEC void SK_ArcColor(SK_Arc *, M_Color);
__END_DECLS
/* Close generated block */
