/*	Public domain	*/

typedef struct sk_circle {
	struct sk_node node;
	SK_Point *p;			/* Center point */
	M_Real    r;			/* Radius */
	M_Real    width;		/* Display thickness */
	M_Color   color;		/* Display color */
} SK_Circle;

#define SKCIRCLE(n) ((SK_Circle *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SK_NodeOps skCircleOps;
extern DECLSPEC SK_Circle *SK_CircleNew(void *);
extern DECLSPEC SK_Circle *SK_CircleFromValue(void *, M_Circle2);
extern DECLSPEC M_Circle2 SK_CircleValue(SK_Circle *);
extern DECLSPEC void SK_CircleInit(void *, Uint);
extern DECLSPEC int SK_CircleLoad(SK *, void *, AG_DataSource *);
extern DECLSPEC int SK_CircleSave(SK *, void *, AG_DataSource *);
extern DECLSPEC void SK_CircleDraw(void *, struct sk_view *);
extern DECLSPEC void SK_CircleEdit(void *, struct ag_widget *, struct sk_view *);
extern DECLSPEC M_Real SK_CircleProximity(void *, const M_Vector3 *, M_Vector3 *);
extern DECLSPEC int SK_CircleDelete(void *);
extern DECLSPEC int SK_CircleMove(void *, const M_Vector3 *, const M_Vector3 *);
extern DECLSPEC SK_Status SK_CircleConstrained(void *);
extern DECLSPEC void SK_CircleWidth(SK_Circle *, M_Real);
extern DECLSPEC void SK_CircleColor(SK_Circle *, M_Color);
__END_DECLS
/* Close generated block */
