/*	Public domain	*/

typedef struct sk_line {
	struct sk_node node;
	SK_Point *p1, *p2;		/* Endpoints */
	M_Real width;			/* Display width */
	M_Color color;			/* Display color */
} SK_Line;

#define SKLINE(n) ((SK_Line *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SK_NodeOps skLineOps;
extern DECLSPEC SK_Line *SK_LineNew(void *);
extern DECLSPEC SK_Line *SK_LineFromValue(void *, M_Line2);
extern DECLSPEC M_Line2 SK_LineValue(const SK_Line *);
extern DECLSPEC void SK_LineInit(void *, Uint);
extern DECLSPEC int SK_LineLoad(SK *, void *, AG_DataSource *);
extern DECLSPEC int SK_LineSave(SK *, void *, AG_DataSource *);
extern DECLSPEC void SK_LineDraw(void *, struct sk_view *);
extern DECLSPEC void SK_LineEdit(void *, struct ag_widget *, struct sk_view *);
extern DECLSPEC M_Real SK_LineProximity(void *, const M_Vector3 *, M_Vector3 *);
extern DECLSPEC int SK_LineDelete(void *);
extern DECLSPEC int SK_LineMove(void *, const M_Vector3 *, const M_Vector3 *);
extern DECLSPEC SK_Status SK_LineConstrained(void *);
extern DECLSPEC void SK_LineWidth(SK_Line *, M_Real);
extern DECLSPEC void SK_LineColor(SK_Line *, M_Color);
extern DECLSPEC int SK_LineSharedEndpoint(SK_Line *, SK_Line *, M_Vector3 *, M_Vector3 *, M_Vector3 *);
extern DECLSPEC M_Real SK_LineLineAngleCCW(SK_Line *, SK_Line *);
__END_DECLS
/* Close generated block */
