/*	Public domain	*/

typedef struct sk_pixmap {
	struct sk_node node;
	SK_Point *p;			/* Center point */
	M_Real w, h;			/* Dimensions */
	M_Real alpha;			/* Overall alpha */
	int s;				/* Mapped surface */
	AG_Surface *sSrc;		/* Source surface */
} SK_Pixmap;

#define SK_PIXMAP(n) ((SK_Pixmap *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SK_NodeOps skPixmapOps;
extern DECLSPEC SK_Pixmap *SK_PixmapNew(void *, SK_Point *);
extern DECLSPEC void SK_PixmapInit(void *, Uint);
extern DECLSPEC void SK_PixmapDestroy(void *);
extern DECLSPEC int SK_PixmapLoad(SK *, void *, AG_DataSource *);
extern DECLSPEC int SK_PixmapSave(SK *, void *, AG_DataSource *);
extern DECLSPEC void SK_PixmapDraw(void *, struct sk_view *);
extern DECLSPEC void SK_PixmapEdit(void *, struct ag_widget *, struct sk_view *);
extern DECLSPEC M_Real SK_PixmapProximity(void *, const M_Vector3 *, M_Vector3 *);
extern DECLSPEC int SK_PixmapDelete(void *);
extern DECLSPEC int SK_PixmapMove(void *, const M_Vector3 *, const M_Vector3 *);
extern DECLSPEC SK_Status SK_PixmapConstrained(void *);
extern DECLSPEC void SK_PixmapDimensions(SK_Pixmap *, M_Real, M_Real);
extern DECLSPEC void SK_PixmapAlpha(SK_Pixmap *, M_Real);
extern DECLSPEC void SK_PixmapSurface(SK_Pixmap *, AG_Surface *);
__END_DECLS
/* Close generated block */
