/*	Public domain	*/

typedef struct sk_polygon {
	struct sk_node node;
	SK_Line **s;			/* Sides */
	Uint      n;
	M_Color   color;		/* Fill color */
} SK_Polygon;

#define SKPOLYGON(n) ((SK_Polygon *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SK_NodeOps skPolygonOps;
extern DECLSPEC SK_Polygon *SK_PolygonNew(void *);
extern DECLSPEC SK_Polygon *SK_PolygonFromValue(void *, M_Polygon);
extern DECLSPEC void SK_PolygonInit(void *, Uint);
extern DECLSPEC int SK_PolygonLoad(SK *, void *, AG_DataSource *);
extern DECLSPEC int SK_PolygonSave(SK *, void *, AG_DataSource *);
extern DECLSPEC void SK_PolygonDraw(void *, struct sk_view *);
extern DECLSPEC void SK_PolygonEdit(void *, struct ag_widget *, struct sk_view *);
extern DECLSPEC M_Real SK_PolygonProximity(void *, const M_Vector3 *, M_Vector3 *);
extern DECLSPEC int SK_PolygonDelete(void *);
extern DECLSPEC void SK_PolygonWidth(SK_Polygon *, M_Real);
extern DECLSPEC void SK_PolygonColor(SK_Polygon *, M_Color);
extern DECLSPEC M_Polygon SK_PolygonValue(SK_Polygon *);
extern DECLSPEC Uint SK_PolygonAddSide(SK_Polygon *, SK_Line *);
__END_DECLS
/* Close generated block */
